package com.khmer9.cock8888main.screen.main

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class TokenResponse(
    @Json(name = "code")
    val resultCode: String,

    @Json(name = "message")
    val message: TokenMessage,

    @Json(name = "data")
    val data: TokenData
)

@JsonClass(generateAdapter = true)
data class TokenMessage(
    @Json(name = "code")
    val code: String,
    @Json(name = "descriptions")
    val description: String,
)

@JsonClass(generateAdapter = true)
data class TokenData(
    @Json(name = "access_token")
    val token: String,
)